Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class CommonAccessibility

    java.lang.Object
      org.apache.fop.fo.properties.CommonAccessibility

public class CommonAccessibility
extends java.lang.Object

Store all common accessibility properties. See Sec 7.4 of the XSL-FO Standard. Public "structure" allows direct member access.

Field Summary
`java.lang.String` | `role` The "role" property.
`java.lang.String` | `sourceDoc` The "source-doc" property.

Constructor Summary
`CommonAccessibility(PropertyList pList)` Create a `CommonAccessibility` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sourceDoc

    public java.lang.String sourceDoc

  The "source-doc" property.

### role

    public java.lang.String role

  The "role" property.

Constructor Detail

### CommonAccessibility

    public CommonAccessibility(PropertyList pList)
                        throws PropertyException

  Create a `CommonAccessibility` object.

Parameters:
  `pList` - The PropertyList with propery values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.